Skip to main content

Update a recurring resident charge

PUThttps://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id

Update a recurring resident charge for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

recurring_resident_charge_id stringrequired

The Propexo unique identifier for the recurring resident charge

Request​

This endpoint expects an object.

    financial_account_idstring

    The Propexo unique identifier for the financial account

    is_activeboolean

    Whether the recurring resident charge is active

    amount_in_centsinteger

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    descriptionstring

    Description of the recurring resident charge

    charge_due_dayinteger

    The day of the month the charge is due

    Possible values: >= 1 and <= 31

    start_datestring

    The start date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    frequency_normalizedstring

    The frequency of the recurring resident charge

    Show 3 enum values
    DAILYMONTHLYWEEKLY
    end_datestring

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    reference_numberstring

    The reference number for the recurring resident charge

    charge_code_idstring

    The Propexo unique identifier for the charge code

    day_dueinteger

    The day of the month the charge is due

    Possible values: > 0 and <= 31

    frequency_rawinteger

    The raw value of the frequency of the recurring resident charge (in months)

    Possible values: > 0 and <= 24

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/recurring-resident-charges/:recurring_resident_charge_id
curl -X PUT https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"financial_account_id": "string",
"is_active": true,
"amount_in_cents": 0,
"description": "string",
"charge_due_day": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"frequency_normalized": "DAILY",
"end_date": "2024-07-29T15:51:28.071Z",
"reference_number": "string",
"charge_code_id": "string",
"day_due": 0,
"frequency_raw": 0
}'
200 Successful response
{
"job_id": "string",
"data": {}
}